# GET /v1/sessions/{session_id}/databases/{name}

Source: <https://everruns.com/docs/api/operations/get_database/>

GET

/v1/sessions/{session\_id}/databases/{name}

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/databases/example';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/sessions/example/databases/example
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/databases/{name}

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID

**name**

required

string

Database name

## Responses

### 200

Database info

Media typeapplication/json

Database info response.

object

**created\_at**

required

Timestamp when this resource was created (RFC 3339).

string

**name**

required

Human-readable name. Safe to render in user-facing messages.

string

**page\_count**

required

integer format: int32

**size\_bytes**

required

integer format: int64

**updated\_at**

required

Timestamp when this resource was last updated (RFC 3339).

string

##### Examplegenerated

```json
{
  "created_at": "example",
  "name": "example",
  "page_count": 1,
  "size_bytes": 1,
  "updated_at": "example"
}
```

### 404

Database not found